
function vid_mate_get_video_id() {
	var vid_mate_url = document.location.pathname;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	var tmp_re = new RegExp("/video/(.+?)/(.+?)/([0-9]+)$");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[3];
	}
	return null;
}

function vid_mate_check() {
    if (vid_mate_get_video_id() == null) {
        vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "rediff";
	var tmp_content = "";
	if(vm_content.length > 128)
	{
		tmp_content = vm_content;
		rtn_video.id = vid_mate_get_video_id();
	}
	else
	{
		tmp_content = document.body.innerHTML;
		rtn_video.id = vm_content;
	}


	var tmp_re = new RegExp('<meta itemprop="name" content="(.*?)">');
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('rediff 1');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	rtn_video.title = tmp_m[1];

	rtn_video.url = document.location.href;

	var tmp_re = new RegExp("var thumbnail = '(.+?)';");
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('rediff 3');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	var img_url = tmp_m[1];

	rtn_video.picture_default = img_url;
	rtn_video.picture_big = img_url;

	if(-1 != tmp_content.indexOf("var mp4url = '"))
	{
		var tmp_re = new RegExp("var mp4url = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_1';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	if(-1 != tmp_content.indexOf("var mp4_240 = '"))
	{
		var tmp_re = new RegExp("var mp4_240 = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_240p';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4(240p)';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	if(-1 != tmp_content.indexOf("var mp4_360 = '"))
	{
		var tmp_re = new RegExp("var mp4_360 = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_360p';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4(360p)';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	if(-1 != tmp_content.indexOf("var mp4_1080 = '"))
	{
		var tmp_re = new RegExp("var mp4_1080 = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_1080p';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4(1080p)';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	if(-1 != tmp_content.indexOf("var hd_1080 = '"))
	{
		var tmp_re = new RegExp("var hd_1080 = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_hd1080p';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4(hd 1080p)';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	if(-1 != tmp_content.indexOf("var hd_720 = '"))
	{
		var tmp_re = new RegExp("var hd_720 = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_hd720p';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4(hd 720p)';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	if(-1 != tmp_content.indexOf("var hd_480 = '"))
	{
		var tmp_re = new RegExp("var hd_480 = '(.+?)';");
		if (tmp_re.test(tmp_content))
		{
			var tmp_m = tmp_content.match(tmp_re);
			var video_url = tmp_m[1];
			if(video_url.length > 0)
			{
				var tmp_video_file = new vid_mate_video_file();
				tmp_video_file.f_id = rtn_video.id + '_hd480p';
				tmp_video_file.url = decodeURIComponent(video_url);
				var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
				tmp_video_file.format = tmp_format;
				tmp_video_file.title = 'mp4(hd 480p)';
				rtn_video.files.push(tmp_video_file);
			}
		}
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	var tmp_content = document.body.innerHTML;


	//if(-1 == tmp_content.indexOf("mobileReplacePlayerDivTwoQual"))
	if(1)
	{
		var url = document.URL;
		var referer = url;
		var cookie = "";
		var userAgent = "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.95 Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	}
	else
	{
		vid_mate_video_analytics(vid_mate_video_id);
	}
}


